devel/p5-Sub-HandlesVia - The NetBSD Packages Collection

Alternative handles_via implementation

If you've used Moose's native attribute traits, or MooX::HandlesVia
before, you should have a fairly good idea what this does.

Why re-invent the wheel? Well, this is an implementation that should work
okay with Moo, Moose, Mouse, and any other OO toolkit you throw at it. One
ring to rule them all, so to speak.

Also, unlike MooX::HandlesVia, it honours type constraints, plus it
doesn't have the limitation that it can't mutate non-reference values.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/p5-Class-Method-Modifiers devel/p5-Class-Tiny devel/p5-Exporter-Tiny devel/p5-Role-Tiny devel/p5-Type-Tiny lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 8.0earmv7hfp5-Sub-HandlesVia-0.015.tgz
NetBSD 8.0earmv7hfp5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 8.0i386p5-Sub-HandlesVia-0.015.tgz
NetBSD 8.0i386p5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 8.0powerpcp5-Sub-HandlesVia-0.015.tgz
NetBSD 8.0powerpcp5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 8.0powerpcp5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 8.0powerpcp5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 8.0x86_64p5-Sub-HandlesVia-0.015.tgz
NetBSD 8.0x86_64p5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0aarch64p5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0aarch64p5-Sub-HandlesVia-0.015.tgz
NetBSD 9.0aarch64p5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0alphap5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0alphap5-Sub-HandlesVia-0.015.tgz
NetBSD 9.0alphap5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0earmp5-Sub-HandlesVia-0.015.tgz
NetBSD 9.0earmp5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0earmp5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0earmv6hfp5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0earmv6hfp5-Sub-HandlesVia-0.015.tgz
NetBSD 9.0earmv6hfp5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0earmv7hfp5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0earmv7hfp5-Sub-HandlesVia-0.015.tgz
NetBSD 9.0earmv7hfp5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0earmv7hfp5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0i386p5-Sub-HandlesVia-0.015.tgz
NetBSD 9.0i386p5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0mips64ebp5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0mips64ebp5-Sub-HandlesVia-0.015.tgz
NetBSD 9.0mips64ebp5-Sub-HandlesVia-0.015.tgz
NetBSD 9.0mips64ebp5-Sub-HandlesVia-0.015.tgz
NetBSD 9.0mips64ebp5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0mipselp5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0mipselp5-Sub-HandlesVia-0.015.tgz
NetBSD 9.0mipselp5-Sub-HandlesVia-0.015.tgz
NetBSD 9.0mipselp5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0powerpcp5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0powerpcp5-Sub-HandlesVia-0.015.tgz
NetBSD 9.0powerpcp5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0powerpcp5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0sh3elp5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0sh3elp5-Sub-HandlesVia-0.015.tgz
NetBSD 9.0sh3elp5-Sub-HandlesVia-0.015.tgz
NetBSD 9.0sh3elp5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0sparc64p5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0sparc64p5-Sub-HandlesVia-0.015.tgz
NetBSD 9.0sparc64p5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0sparcp5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0sparcp5-Sub-HandlesVia-0.015.tgz
NetBSD 9.0sparcp5-Sub-HandlesVia-0.015.tgz
NetBSD 9.0sparcp5-Sub-HandlesVia-0.015.tgz
NetBSD 9.0sparcp5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0vaxp5-Sub-HandlesVia-0.015.tgz
NetBSD 9.0vaxp5-Sub-HandlesVia-0.015.tgz
NetBSD 9.0vaxp5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0vaxp5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0x86_64p5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0x86_64p5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0x86_64p5-Sub-HandlesVia-0.015.tgz
NetBSD 9.0x86_64p5-Sub-HandlesVia-0.016nb1.tgz
NetBSD 9.0x86_64p5-Sub-HandlesVia-0.016nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.